<?php
/**
 * WoWRoster.net WoWRoster
 *
 * reputation index.php
 *
 * => and many help from  Subxero@EU-Zul'jin
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: index.php 001 2008-01-22 13:01:07Z tuigii - Nowwhat@EU-Khaz Modan$ - 
 * @link       http://www.wowroster.net
 * @package    reputation
*/

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

global $roster;

require_once ($addon['dir'].'inc/factions_to_en-EN.php');
require_once ($addon['dir'].'inc/factions_to_en-FR.php');
require_once ($addon['dir'].'inc/factions_to_en-DE.php');
require_once ($addon['dir'].'inc/factions_to_en-ES.php');

$roster->output['title'] = $roster->locale->act['reputationinfo'];

// Only get dinsctint reps for guild 'guild_id'

$qry_fct = "SELECT distinct(r.name) faction, r.faction category, p.clientLocale FROM ".
	$roster->db->table('reputation')." r, ".
	$roster->db->table('players')." p ".
	"WHERE r.member_id = p.member_id AND p.guild_id = ".$roster->data['guild_id'];

	if ($addon['config']['reputation_language'] == 0) // 0 = limit to roster selected language only
	{
		$qry_fct .=" AND p.clientLocale = '".$roster->config['locale']."'";	
	}

$result_fct = $roster->db->query( $qry_fct ) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$qry_fct);
$row_fct = $roster->db->fetch_all($result_fct);
$roster->db->free_result($result_fct);

// First, convert all factions names to enUS.
// A Guild might be a mixture of players that use different languages,
// so, all faction names (frFR, deDE and esES) are being translated to enUS first.
//
// This will garantee an list with all faction names being present ones.
// Scan over each language array to find the reputation string
$result_enUS = array();
$result_category_enUS = array();

foreach($row_fct as $record)
{
	 // For every languagua, do...
	foreach($roster->multilanguages as $lang)
	{
		// Does the faction $record['faction'] has a match in this language...
		if(isset($Factions_to_en[$lang][$record['faction']]))
		{
			 // Only add if not already present...
			if(!in_array($Factions_to_en[$lang][$record['faction']], $result_enUS))
			{
				// Add the enUS name of the faction to the array $result_enUS...
				$result_enUS[] = $Factions_to_en[$lang][$record['faction']];
				// Breaking, a match has been found... 
				break;	
			}
		}
		
		if(isset($Factions_to_en[$lang][$record['category']]))
		{
			 // Only add if not already present...
			if(!in_array($Factions_to_en[$lang][$record['category']], $result_category_enUS))
			{
				// Add the enUS name of the faction to the array $result_enUS...
				$result_category_enUS[] = $Factions_to_en[$lang][$record['category']];
				// Breaking, a match has been found... 
				break;
			}
		}
	}
}

// Now, convert the 'factions' names array in the local roster language...
$result_local = array();
$result_category = array();

foreach($result_enUS as $record)
{
	$result_local[] = getlanguagefaction($Factions_to_en[$roster->config['locale']], $record);
}

foreach($result_category_enUS as $record)
{
	$result_category[] = getlanguagefaction($Factions_to_en[$roster->config['locale']], $record);
}


// Sort it...
sort($result_local);
sort($result_category);

// Build faction select box
$choiceForm = '<form action="' . makelink() . '" method="get">'.$roster->locale->act['faction_filter'].'
	<select name="factionfilter" onchange="window.location.href=this.options[this.selectedIndex].value">';
$choiceForm .= '<option value="' . makelink('guild-' . $addon['basename'],true).'">"'.$roster->locale->act['SelectFaction'].'"</option>\n';

foreach($result_local as $faction)
{
	if( isset($_GET['factionfilter']) && stripslashes($_GET['factionfilter']) == $faction )
	{
		$choiceForm .= '  <option value="' . makelink('guild-' . $addon['basename'] . '&amp;factionfilter=' . htmlspecialchars($faction), true) . '" selected="selected">' . $faction . "</option>\n";
	}
	else
	{
		$choiceForm .= '  <option value="' . makelink('guild-' . $addon['basename'] . '&amp;factionfilter=' . htmlspecialchars($faction), true) . '">' . $faction . "</option>\n";
	}
}
$choiceForm .= '</select>';

// Build a Category select box
$choiceFormCat = '<form action="' . makelink() . '" method="get">'.$roster->locale->act['category_filter'].'
	<select name="categoryfilter" onchange="window.location.href=this.options[this.selectedIndex].value">';
$choiceFormCat .= '<option value="' . makelink('guild-' . $addon['basename'],true).'">"'.$roster->locale->act['SelectCategory'].'"</option>\n';

foreach($result_category as $category)
{
	if( isset($_GET['categoryfilter']) && stripslashes($_GET['categoryfilter']) == $category )
	{
		$choiceFormCat .= '  <option value="' . makelink('guild-' . $addon['basename'] . '&amp;categoryfilter=' . htmlspecialchars($category), true) . '" selected="selected">' . $category . "</option>\n";
	}
	else
	{
		$choiceFormCat .= '  <option value="' . makelink('guild-' . $addon['basename'] . '&amp;categoryfilter=' . htmlspecialchars($category), true) . '">' . $category . "</option>\n";
	}
}
$choiceFormCat .= '</select></form>';

print $choiceForm." - ".$choiceFormCat;

// When a faction is selected, build the box with faction levels (standings)

unset($faction_enUS);
unset($category_enUS);

if( isset($_GET['factionfilter']) && $_GET['factionfilter'] != makelink('guild-'.$addon['basename']))
{
	$GetSelectedFaction = stripslashes($_GET['factionfilter']);
	// Convert to enUS - prefer first using current roster language
	if(isset($Factions_to_en[$roster->config['locale']][$GetSelectedFaction]))
	{
		$faction_enUS = $Factions_to_en[$roster->config['locale']][$GetSelectedFaction];
		$callinglocale = $roster->config['locale'];
	}
	// Reputation name isn't in current roster language - scan them one by one to find a match
	else
	{
		foreach($roster->multilanguages as $lang)
		{
			if(isset($Factions_to_en[$lang][$GetSelectedFaction]))
			{
				$faction_enUS = $Factions_to_en[$lang][$GetSelectedFaction];
				$callinglocale = $lang;
				break;
			}
		}
	}			
	if(!isset($faction_enUS))
	{
		print '<span style="color:#FF0000;">Error :</span> "'.$GetSelectedFaction.'"';
	}
}

if(isset($faction_enUS))
{
	// Build a SQL set for all possible translations
	$factions  = 'r.name IN (';

	foreach($roster->multilanguages as $lang)
	{
		$factions .= '"'.getlanguagefaction($Factions_to_en[$lang], $faction_enUS).'", ';
	}
	$factions .= '"")';
	
	$query = "SELECT m.name member, m.level lvl, m.member_id member_id, faction, r.name name, curr_rep, max_rep, standing ".
		"FROM `".$roster->db->table('reputation')."` r, `".$roster->db->table('players')."` m ".
		"WHERE r.member_id = m.member_id AND m.guild_id = ".$roster->data['guild_id']." AND ".$factions;
	
	if ($addon['config']['reputation_language'] == 0) // 0 = limit to roster language players only
	{
		$query .=" AND m.clientLocale = '".$roster->config['locale']."'";	
	}

	$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);
	$membersforthisreputation = $roster->db->fetch_all($result);
	$roster->db->free_result($result);
	
	// Old fashioned 'PHP 4' compatible way. Thanks, Subxero for pointing me out - by reference (using &) is PHP 5 and up.
	// Note that we have 'again' to loop over every language, because the Locale, present in the player table
	// ISN't saying that the members faction names are in THAT language. I saw a Britisch player (marked enUS) with French faction names.
	reset($membersforthisreputation);
	while (list($key, $value) = each($membersforthisreputation))
	{
		foreach($roster->multilanguages as $lang)
		{
			if(isset($Factions_to_en[$lang][$value['standing']]))
			{
				$membersforthisreputation[$key]['standing'] = $Factions_to_en[$lang][$value['standing']];
			}

			// Translate faction also
			if(isset($Factions_to_en[$lang][$value['faction']]))
			{
				$membersforthisreputation[$key]['faction'] = $Factions_to_en[$lang][$value['faction']];
			}
		}
	}
	
	// This time, we have to sort the $membersforthisreputation array manually
	foreach ($membersforthisreputation as $key => $row)
	{
		$member[$key] = $row['member'];
		$lvl[$key] = $row['lvl'];
		$faction[$key] = $row['faction'];
		$name[$key] = $row['name'];
		$curr_rep[$key] = $row['curr_rep'];
		$max_rep[$key] = $row['max_rep'];
		$standing[$key] = $row['standing'];
	}
	array_multisort($max_rep, SORT_ASC, $standing, SORT_DESC, $curr_rep, SORT_DESC, $membersforthisreputation);

	// Get faction name (i.e. Shattrath City) from first item in table - this is ok because reputation is all identical
	// Do not accept 'Inactive' as a faction name.
	$index = 0;
	do 
	{
		$category = getlanguagefaction($Factions_to_en[$callinglocale], $membersforthisreputation[$index]['faction']);
		$index = $index + 1;
	}
	while(($Factions_to_en[$callinglocale][$category] == "Inactive") && $index <= count($Factions_to_en[$callinglocale]));

	// Now, parse all the members for this factions
	$striping_counter = 1;
	$rep = array();
	foreach($membersforthisreputation as $row)
	{
		// $category = $row['faction']; // Have to localize this ... ?
		$standing_enUS = $row['standing']; // Remember, these are all enUS
		$faction = $GetSelectedFaction; // The original 'roster langauge locale' faction name
		$colorstyle = '';
		$imgbar = '';

		switch ($standing_enUS)
		{
			case ($roster->locale->wordings['enUS']['exalted']):
				$colorstyle = 'style=\'color : #007662;\'';
				$imgbar = $addon['image_path'].'barbit_b.gif';
				break;
			
			case ($roster->locale->wordings['enUS']['revered']):
				$colorstyle = 'style=\'color : #227501;\'';
   		  $imgbar = $addon['image_path'].'barbit_g.gif';
				break;
				
 			case ($roster->locale->wordings['enUS']['honored']):
				$colorstyle = 'style=\'color : #547301;\'';
				$imgbar = $addon['image_path'].'barbit_h.gif';
    		break;
    	
			case ($roster->locale->wordings['enUS']['friendly']):
		 		$colorstyle = 'style=\'color : #787701;\'';
				$imgbar = $addon['image_path'].'barbit_f.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['neutral']):
				$colorstyle = 'style=\'color : #A48618;\'';
				$imgbar = $addon['image_path'].'barbit_y.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['unfriendly']):
				$colorstyle = 'style=\'color : orange;\'';
				$imgbar = $addon['image_path'].'barbit_o.gif';
				break;
	    
			case ($roster->locale->wordings['enUS']['hostile']):
				$colorstyle = 'style=\'color : #974414;\'';
				$imgbar = $addon['image_path'].'barbit_host.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['hated']):
				$colorstyle = 'style=\'color : #FF3333;\'';
				$imgbar = $addon['image_path'].'barbit_r.gif';
				break;
		}  	

		$percent_exp = ($row['max_rep'] > 0 ? round(($row['curr_rep']/$row['max_rep'])*100) : 0);

		// Get our locale back again...
		$standing = getlanguagefaction($Factions_to_en[$roster->config['locale']], $standing_enUS);
		
		// If it's the first, open a 'new' $rep[] array...
		if (!array_key_exists($standing, $rep)) 
   	{
			$rep[$standing] = ('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}
		else
		{
			$rep[$standing] .= ('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}

		if (active_addon('info'))
		{
			$memberlinkedname = '<div style="display:none; ">'.$row['member'].'</div>'.'<a href="'.makelink('char-info&amp;a=c:'.$row['member_id']).'">'.$row['member'].'</a></div>';
		}
		else
		{
			$memberlinkedname = '<div style="display:none; ">'.$row['name'].'</div>'.$row['name'];
		}
		
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$memberlinkedname.'</td>');
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$row['lvl'].'</td>');
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$standing.'</td>');
		$rep[$standing] .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.'<div style="cursor:default;">'.'<div class="levelbarParent" style="width:100px;">'.'<div class="levelbarChild">' . $row['curr_rep'].' / '.$row['max_rep'].'</div>' .  '</div>' . '<table class="expOutline" border="0" cellpadding="0" cellspacing="0" width="100">' . '<tr>' . '<td style="background-image: url(\'' . $imgbar .'\');" width="'. $percent_exp .'%"><img src="img/pixel.gif" height="14" width="1" alt=""></td>' . '<td width="'.(100 - $percent_exp).'%"></td>' . '</tr>' . '</table>' . '</div></td>');
		$rep[$standing] .=('</tr>');
	}

	$borderTop = border('syellow', 'start', $category.' - '.$faction);
	$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
	$tableHeaderRow = '	<tr>
		<th class="membersHeader">'.$roster->locale->act['rep_name'].'</th>
		<th class="membersHeader">'.$roster->locale->act['level'].'</th>
		<th class="membersHeader">'.$roster->locale->act['rep_status'].'</th>
		<th class="membersHeaderRight">'.$roster->locale->act['rep_value'].' / '.$roster->locale->act['rep_max'].'</th>
		</tr>';
	$tableFooter = '</table>';
	$borderBottom = border('syellow', 'end',$category.' - '.$faction);

	print $borderTop;
	print $tableHeader;
	print $tableHeaderRow;
	
	print_array($roster->locale->wordings[$roster->config['locale']]['exalted'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['revered'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['honored'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['friendly'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['neutral'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['unfriendly'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['hostile'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['hated'],$rep);
	
	print $tableFooter;
	print $borderBottom;
}


if( isset($_GET['categoryfilter']) && $_GET['categoryfilter'] != makelink('guild-'.$addon['basename']))
{
	$GetSelectedCategory = stripslashes($_GET['categoryfilter']);
	// Convert to enUS - prefer first using current roster language
	if(isset($Factions_to_en[$roster->config['locale']][$GetSelectedCategory]))
	{
		$category_enUS = $Factions_to_en[$roster->config['locale']][$GetSelectedCategory];
		$callinglocale = $roster->config['locale'];
	}
	// Reputation name isn't in current roster language - scan them one by one to find a match
	else
	{
		foreach($roster->multilanguages as $lang)
		{
			if(isset($Factions_to_en[$lang][$GetSelectedCategory]))
			{
				$category_enUS = $Factions_to_en[$lang][$GetSelectedCategory];
				$callinglocale = $lang;
				break;
			}
		}
	}			
	if(!isset($category_enUS))
	{
		print '<span style="color:#FF0000;">Error :</span> "'.$GetSelectedCategory.'"';
	}
}

if(isset($category_enUS))
{
	// Build a SQL set for all possible translations
	$category  = 'faction IN (';

	foreach($roster->multilanguages as $lang)
	{
		$category .= '"'.getlanguagefaction($Factions_to_en[$lang], $category_enUS).'", ';
	}
	$category .= '"")';
	
	$query = "SELECT m.clientLocale, m.name member, m.level lvl, m.member_id member_id, faction, r.name name, curr_rep, max_rep, standing ".
		"FROM `".$roster->db->table('reputation')."` r, `".$roster->db->table('players')."` m ".
		"WHERE r.member_id = m.member_id AND m.guild_id = ".$roster->data['guild_id']." AND ".$category;
	
	if ($addon['config']['reputation_language'] == 0) // 0 = limit to roster language players only
	{
		$query .=" AND m.clientLocale = '".$roster->config['locale']."'";	
	}

	$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);
	$membersforthiscategory = $roster->db->fetch_all($result);
	$roster->db->free_result($result);
	
	// Old fashioned 'PHP 4' compatible way. Thanks, Subxero for pointing me out - by reference (using &) is PHP 5 and up.
	// Note that we have 'again' to loop over every language, because the Locale, present in the player table
	// ISN't saying that the members category names are in THAT language. I saw a Britisch player (marked enUS) with French category names.
	
	$faction_counting = array();
	
	while (list($key, $value) = each($membersforthiscategory))
	{
		foreach($roster->multilanguages as $lang)
		{
			if(isset($Factions_to_en[$lang][$value['name']]))
			{
				if(!in_array($Factions_to_en[$lang][$value['name']], $faction_counting))
				{
					$faction_counting[] = $Factions_to_en[$lang][$value['name']];
				}
			}
		}
	}
	
	// echo "Total : ".count($faction_counting);
	/*
	$test = array_unique($membersforthiscategory['name']);
	print_r($test);
	*/
	reset($membersforthiscategory);
	while (list($key, $value) = each($membersforthiscategory))
	{
		foreach($roster->multilanguages as $lang)
		{
			if(isset($Factions_to_en[$lang][$value['standing']]))
			{
				$membersforthiscategory[$key]['standing'] = $Factions_to_en[$lang][$value['standing']];
			}

			// Translate category also
			if(isset($Factions_to_en[$lang][$value['faction']]))
			{
				$membersforthiscategory[$key]['faction'] = $Factions_to_en[$lang][$value['faction']];
			}
		}
	}
	
	// Now, parse all the members for this category
	$striping_counter = 1;
	$rep = array();
	
	reset($membersforthiscategory);
	foreach($membersforthisreputation as $row)
	{
		
		$standing_enUS = $row['standing'];
		$faction_enUS = $row['faction'];
		
		
		$faction = $category_enUS; // The original 'roster langauge locale' faction name
		$colorstyle = '';
		$imgbar = '';

		switch ($standing_enUS)
		{
			case ($roster->locale->wordings['enUS']['exalted']):
				$colorstyle = 'style=\'color : #007662;\'';
				$imgbar = $addon['image_path'].'barbit_b.gif';
				break;
			
			case ($roster->locale->wordings['enUS']['revered']):
				$colorstyle = 'style=\'color : #227501;\'';
   		  $imgbar = $addon['image_path'].'barbit_g.gif';
				break;
				
 			case ($roster->locale->wordings['enUS']['honored']):
				$colorstyle = 'style=\'color : #547301;\'';
				$imgbar = $addon['image_path'].'barbit_h.gif';
    		break;
    	
			case ($roster->locale->wordings['enUS']['friendly']):
		 		$colorstyle = 'style=\'color : #787701;\'';
				$imgbar = $addon['image_path'].'barbit_f.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['neutral']):
				$colorstyle = 'style=\'color : #A48618;\'';
				$imgbar = $addon['image_path'].'barbit_y.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['unfriendly']):
				$colorstyle = 'style=\'color : orange;\'';
				$imgbar = $addon['image_path'].'barbit_o.gif';
				break;
	    
			case ($roster->locale->wordings['enUS']['hostile']):
				$colorstyle = 'style=\'color : #974414;\'';
				$imgbar = $addon['image_path'].'barbit_host.gif';
				break;
    	
			case ($roster->locale->wordings['enUS']['hated']):
				$colorstyle = 'style=\'color : #FF3333;\'';
				$imgbar = $addon['image_path'].'barbit_r.gif';
				break;
		}  	

		$percent_exp = ($row['max_rep'] > 0 ? round(($row['curr_rep']/$row['max_rep'])*100) : 0);

		// Get our locale back again...
		$standing = getlanguagefaction($Factions_to_en[$roster->config['locale']], $standing_enUS);
		
		// If it's the first, open a 'new' $rep[] array...
		if (!array_key_exists($standing, $rep)) 
   	{
			$rep[$standing] = ('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}
		else
		{
			$rep[$standing] .= ('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}

		if (active_addon('info'))
		{
			$memberlinkedname = '<div style="display:none; ">'.$row['member'].'</div>'.'<a href="'.makelink('char-info&amp;a=c:'.$row['member_id']).'">'.$row['member'].'</a></div>';
		}
		else
		{
			$memberlinkedname = '<div style="display:none; ">'.$row['name'].'</div>'.$row['name'];
		}
		
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$memberlinkedname.'</td>');
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$row['lvl'].'</td>');
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$standing.'</td>');
		$rep[$standing] .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.'<div style="cursor:default;">'.'<div class="levelbarParent" style="width:100px;">'.'<div class="levelbarChild">' . $row['curr_rep'].' / '.$row['max_rep'].'</div>' .  '</div>' . '<table class="expOutline" border="0" cellpadding="0" cellspacing="0" width="100">' . '<tr>' . '<td style="background-image: url(\'' . $imgbar .'\');" width="'. $percent_exp .'%"><img src="img/pixel.gif" height="14" width="1" alt=""></td>' . '<td width="'.(100 - $percent_exp).'%"></td>' . '</tr>' . '</table>' . '</div></td>');
		$rep[$standing] .=('</tr>');
	}

	$borderTop = border('syellow', 'start', $category.' - '.$faction);
	$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
	$tableHeaderRow = '	<tr>
		<th class="membersHeader">'.$roster->locale->act['rep_name'].'</th>
		<th class="membersHeader">'.$roster->locale->act['level'].'</th>
		<th class="membersHeader">'.$roster->locale->act['rep_status'].'</th>
		<th class="membersHeaderRight">'.$roster->locale->act['rep_value'].' / '.$roster->locale->act['rep_max'].'</th>
		</tr>';
	$tableFooter = '</table>';
	$borderBottom = border('syellow', 'end',$category.' - '.$faction);

	print $borderTop;
	print $tableHeader;
	print $tableHeaderRow;
	
	print_array($roster->locale->wordings[$roster->config['locale']]['exalted'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['revered'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['honored'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['friendly'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['neutral'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['unfriendly'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['hostile'],$rep);
	print_array($roster->locale->wordings[$roster->config['locale']]['hated'],$rep);
	
	print $tableFooter;
	print $borderBottom;
}


function print_array($faction, &$rep)
{
	if (array_key_exists($faction, $rep))
		print $rep[$faction]; 
}

function getlanguagefaction($FactionsArray, $item)
{
	foreach($FactionsArray as $key => $value)
	{
		if($item == $value)
		{
			$item_local = $key;
			break;
		}
	}
	return $item_local;
}

?>
