<?php
/**
 * WoWRoster.net WoWRoster
 *
 * reputation installer.def.php
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: installer.def.php 002 2008-02-18 16:01:07Z tuigii - Nowwhat@EU-Khaz Modan - && Subxero@EU-Zul'jin$
 * @link       http://www.wowroster.net
 * @package    Installer
 */

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

/**
 * Installer for Reputation Addon
 *
 * @package    Reputation
 * @subpackage Installer
 *
 */
class reputationInstall
{
	var $active = true;
	var $icon = 'inv_misc_key_13';
	var $version = '2.0.2.0002';
	
	var $wrnet_id = '0';
	
	var $fullname = 'reputationinfo';
	var $description = 'reputation_desc';
	var $credits = array(
		array(	"name"=> "tuigii (Nowwhat)",
				"info"=>	"Lists faction / reputation stats"),
		);

	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer;
		
		# Master data for the config file
		$installer->add_config("'1','startpage','reputation_conf','display','master'");

		# Config menu entries
		$installer->add_config("'110','reputation_conf',NULL,'blockframe','menu'");

		# Generic display settings
		$installer->add_config("'1100', 'reputation_language', '1', 'radio{yes^1|no^0', 'reputation_conf'");

		# Roster menu entry
		$installer->add_menu_button('reputationinfobutton','guild');
		return true;
	}

	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		global $installer;

		// Nothing to upgrade from yet
		return true;
	}

	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer;

		$installer->remove_all_config();
		$installer->remove_menu_button('reputationinfobutton');
		return true;
	}
}
